# TestOperationDescriptor

interface TestOperationDescriptor : OperationDescriptor

Describes a test operation for which an event has occurred.

#### Since

2.4

#### Inheritors

JvmTestOperationDescriptor

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getParent
Link copied to clipboard
abstract fun getParent(): @Nullable OperationDescriptor
getTestDisplayName
Link copied to clipboard
@Incubating
abstract fun getTestDisplayName(): String
Returns the display name of the test.